Attribute VB_Name = "DeskewModule"
'************************************************
'*  Deskew Interface DLL 32 Bits functions      *
'*  Library Version 5.0                         *
'*  Copyright 2009 - 2016 All rigths reserved   *
'*  RECOGNIFORM TECHNOLGIES SPA                 *
'*  www.recogniform.com - info@recogniform.com  *
'************************************************


'  Goal: nitialize the engine
'  Requires: company name, license string
'  Result: session handle
Declare Function DESKEW_Init Lib "recodeskew.dll" (ByVal Name As String, ByVal Key As String) As Long

'  Goal: deinitialize the engine
'  Requires: session handle
'  Result: n/a
Declare Sub DESKEW_Done Lib "recodeskew.dll" (ByVal Session As Long)

'  Goal: detect and correct the image skew if in the range +5/-5 degrees
'  Requires: session handle, dib handle
'  Result: skew angle detected and corrected in degree
Declare Function DESKEW_DetectAndCorrect Lib "recodeskew.dll" (ByVal Session As Long, ByVal DIBHandle As Long) As Double

'  Goal: detect the skew angle using black border
'  Requires: session handle, dib handle, max angle to check in degree, Noise, Borders
'  Result: skew angle detected
Declare Function DESKEW_DetectUsingBlackBorders Lib "recodeskew.dll" (ByVal Session As Integer, ByVal DIBHandle As Integer, ByVal MaxAngle As Double, ByVal HasNoise As Boolean, ByVal BordersToUse As Integer) As Double

'  Goal: correct the  horizontal and vertical skew angle
'  Requires: session handle, dib handle, horizontal angle to correct in degree, vertical angle to correct in degree, fill color, interpolation flag, resize flag
'  Result: n/a
Declare Sub DESKEW_CorrectEx Lib "recodeskew.dll" (ByVal Session As Integer, ByVal DIBHandle As Integer, ByVal HSkewAngle As Double, ByVal VSkewHangle As Double, ByVal FillColor As Integer, ByVal Interpolation As Integer, ByVal Resize As Integer)


'  Goal: detect the image skew
'  Requires: session handle, dib handle, max angle to check in degree (+/-), accuracy angle in degree, step (to increase speed or accuracy: -1 = auto),Edge Pixels To Skip
'  Result: skew angle detected in degrees
Declare Function DESKEW_Detect Lib "recodeskew.dll" (ByVal Session As Long, ByVal DIBHandle As Long, ByVal MaxAngle As Double, ByVal AngleAccuracy As Double, ByVal Step As Long, ByVal EdgePixelsToSkip As Long) As Double

'  Goal: correct the image skew
'  Requires: session handle, dib handle, angle to correct, fill white flag, interpolation flag, resize
'  Result: n/a
Declare Sub DESKEW_Correct Lib "recodeskew.dll" (ByVal Session As Long, ByVal DIBHandle As Long, ByVal Angle As Double, ByVal FillWhite As Long, ByVal Interpolation As Long, ByVal Resize As Integer)


